/*****************************************************************************
 *
 * Copyright (C) 2018-2022  Bjarne von Horn <vh@igh.de>,
 *                          Wilhelm Hagemeister<hm@igh.de>,
 *                          Florian Pose <fp@igh.de>
 *
 * This file is part of the Qt6QmlPdWidgets library.
 *
 * The Qt6QmlPdWidgets library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation, either version 3 of the License,
 * or (at your option) any later version.
 *
 * The Qt6QmlPdWidgets library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with the Qt6QmlPdWidgets Library. If not, see
 * <http://www.gnu.org/licenses/>.
 *
 ****************************************************************************/

#ifndef QML_PD_WIDGETS2_H
#define QML_PD_WIDGETS2_H

#include <QtCore/QtGlobal>

#include <QLocale>

class QTranslator;

/// Qt6QmlPdWidgets major version
#define Qt6QmlPdWidgets_MAJOR 1
/// Qt6QmlPdWidgets minor version
#define Qt6QmlPdWidgets_MINOR 0
/// Patch level of release. Note this may be a string
#define Qt6QmlPdWidgets_RELEASE 0

namespace Qt6QmlPdWidgets {
/// Library version string as "major.minor.patch".
Q_DECL_EXPORT extern const char* const qt6qmlpdwidgets_version_code;
/** Library version with four fields followed by the commit hash.
 * A trailing plus sign shows that uncommitted changes existed during
 * the build. The hash is prefixed with a "g" to indicate that git is used
 * as version control system.
 *
 * Example: "5.1.0.8.gea62937+".
 */
Q_DECL_EXPORT extern const char* const qt6qmlpdwidgets_full_version;


Q_DECL_EXPORT bool loadTranslation(QTranslator&, const QLocale& = {});
}
#endif //  QML_PD_WIDGETS2_H
